<?php 
include '../koneksi.php';
session_start();
date_default_timezone_set('Asia/Makassar');

//$waktu = date('Y-m-d H:i:s');

$kd_pegawai= $_SESSION['id'];
$tanggal = $_POST['tanggal'];
$pulang = $_POST['jam'];
			
			//Cek dulu tabel absensi ada atau tidak tanggal hari ini
			$cekabsen = mysqli_query($koneksi,"SELECT * FROM absensi where kd_pegawai='$kd_pegawai' and tanggal='$tanggal'");
            $ca = mysqli_fetch_array($cekabsen);
			
			if (empty ($ca)) {
				$sql_simpan = mysqli_query ($koneksi, "INSERT into absensi VALUES (NULL, '$kd_pegawai', '$tanggal', '-', '$pulang' )");
					if($sql_simpan) {
					 header("location:absen_tambah.php?alert=sukses");
					} else {
					 header("location:absen_tambah.php?alert=gagal");
					}
				
			} else {
				
				$kd_absensi = $ca['kd_absensi'];
				
				$sql_update = mysqli_query ($koneksi, "UPDATE absensi SET pulang ='$pulang' WHERE kd_absensi='$kd_absensi'");
					if($sql_update) {
					 header("location:absen_tambah.php?alert=sukses");
					} else {
					 header("location:absen_tambah.php?alert=gagal");
					}
			}
			
			
			//$sql_simpan = mysqli_query ($koneksi, "INSERT into absensi VALUES (NULL, '$kd_pegawai', '$tanggal', '$masuk', NULL )");
			
			//if($sql_simpan) {
			// header("location:absen_tambah.php?alert=sukses");
			//} else {
			// header("location:absen_tambah.php?alert=gagal");
			//}

		//mysqli_query($koneksi, "insert into absensi values (NULL,'$kd_pegawai','$tanggal','$masuk'','NULL')")or die(mysqli_error($koneksi));
		//header("location:absen_tambah.php?alert=sukses");


// Mengecek apakah file lebih besar 2 MB atau tidak'$nama',
//if ($file_size > 2097152) {
	// Jika File lebih dari 2 MB maka akan gagal mengupload File
	//header("location:monev.php?alert=gagalsize");
	
//}else if($jenis != "pdf") {
	//header("location:monev.php?alert=gagal");
	
//}else{
	
	//mysqli_query($koneksi, "insert into monev values (NULL,'$kode_surat_und','$jenis_monev','$nomor_monev','$nama_monev','$petugas','$nama_file')")or die(mysqli_error($koneksi));
	//header("location:monev.php?alert=sukses");
//}
?>